Package org.apache.calcite.avatica.remote

# Interface KeyStoreConfigurable

@Deprecated public interface KeyStoreConfigurable
Deprecated.
Allows a keystore (and keystorepassword, keypassword) to be provided to enable MTLS authentication

## Method Summary

Modifier and Type
Method
Description
`void`
`setKeyStore(File keystore, String keystorepassword, String keypassword)`
Deprecated.
Sets a keystore containing the collection of client side certificates to use for HTTPS mutual authentication along with password for keystore and password for key

## Method Details

### setKeyStore

void setKeyStore(File keystore, String keystorepassword, String keypassword)
Deprecated.
Sets a keystore containing the collection of client side certificates to use for HTTPS mutual authentication along with password for keystore and password for key

Parameters:
  `keystore` - The keystore on the local filesystem
  `keystorepassword` - The keystore's password
  `keypassword` - The key's password